- Main Page
- Modules
- Classes
- Files

- Class List
- Class Members

# CxImage::tagCxImageInfo Struct Reference

List of all members.

## Public Attributes
uint32_t | dwEffWidth
| uint32_t aligned scan line width
uint8_t * | pImage
| THE IMAGE BITS.
CxImage * | pGhost
| if this is a ghost, pGhost points to the body
CxImage * | pParent
| if this is a layer, pParent points to the body
uint32_t | dwType
| original image format
char | szLastError [256]
| debugging
int32_t | nProgress
| monitor
int32_t | nEscape
| escape
int32_t | nBkgndIndex
| used for GIF, PNG, MNG
RGBQUAD | nBkgndColor
| used for RGB transparency
float | fQuality
| used for JPEG, JPEG2000 (0.0f ... 100.0f)
uint8_t | nJpegScale
| used for JPEG [ignacio]
int32_t | nFrame
| used for TIF, GIF, MNG : actual frame
int32_t | nNumFrames
| used for TIF, GIF, MNG : total number of frames
uint32_t | dwFrameDelay
| used for GIF, MNG
int32_t | xDPI
| horizontal resolution
int32_t | yDPI
| vertical resolution
RECT | rSelectionBox
| bounding rectangle
uint8_t | nAlphaMax
| max opacity (fade)
bool | bAlphaPaletteEnabled
| true if alpha values in the palette are enabled.
bool | bEnabled
| enables the painting functions
int32_t | xOffset
int32_t | yOffset
uint32_t | dwCodecOpt [CMAX_IMAGE_FORMATS]
| for GIF, TIF : 0=def.1=unc,2=fax3,3=fax4,4=pack,5=jpg
RGBQUAD | last_c
| for GetNearestIndex optimization
uint8_t | last_c_index
bool | last_c_isvalid
int32_t | nNumLayers
uint32_t | dwFlags
| 0x??00000 = reserved, 0x00??0000 = blend mode, 0x0000???? = layer id - user flags
uint8_t | dispmeth
bool | bGetAllFrames
bool | bLittleEndianHost
EXIFINFO | ExifInfo

## Member Data Documentation

uint32_t CxImage::tagCxImageInfo::dwEffWidth

uint32_t aligned scan line width

uint8_t* CxImage::tagCxImageInfo::pImage

THE IMAGE BITS.

CxImage* CxImage::tagCxImageInfo::pGhost

if this is a ghost, pGhost points to the body

CxImage* CxImage::tagCxImageInfo::pParent

if this is a layer, pParent points to the body

uint32_t CxImage::tagCxImageInfo::dwType

original image format

char CxImage::tagCxImageInfo::szLastError[256]

debugging

int32_t CxImage::tagCxImageInfo::nProgress

monitor

int32_t CxImage::tagCxImageInfo::nEscape

escape

int32_t CxImage::tagCxImageInfo::nBkgndIndex

used for GIF, PNG, MNG

RGBQUAD CxImage::tagCxImageInfo::nBkgndColor

used for RGB transparency

float CxImage::tagCxImageInfo::fQuality

used for JPEG, JPEG2000 (0.0f ... 100.0f)

uint8_t CxImage::tagCxImageInfo::nJpegScale

used for JPEG [ignacio]

int32_t CxImage::tagCxImageInfo::nFrame

used for TIF, GIF, MNG : actual frame

int32_t CxImage::tagCxImageInfo::nNumFrames

used for TIF, GIF, MNG : total number of frames

uint32_t CxImage::tagCxImageInfo::dwFrameDelay

used for GIF, MNG

int32_t CxImage::tagCxImageInfo::xDPI

horizontal resolution

int32_t CxImage::tagCxImageInfo::yDPI

vertical resolution

RECT CxImage::tagCxImageInfo::rSelectionBox

bounding rectangle

uint8_t CxImage::tagCxImageInfo::nAlphaMax

max opacity (fade)

bool CxImage::tagCxImageInfo::bAlphaPaletteEnabled

true if alpha values in the palette are enabled.

bool CxImage::tagCxImageInfo::bEnabled

enables the painting functions

int32_t CxImage::tagCxImageInfo::xOffset

int32_t CxImage::tagCxImageInfo::yOffset

uint32_t CxImage::tagCxImageInfo::dwCodecOpt[CMAX_IMAGE_FORMATS]

for GIF, TIF : 0=def.1=unc,2=fax3,3=fax4,4=pack,5=jpg

RGBQUAD CxImage::tagCxImageInfo::last_c

for GetNearestIndex optimization

uint8_t CxImage::tagCxImageInfo::last_c_index

bool CxImage::tagCxImageInfo::last_c_isvalid

int32_t CxImage::tagCxImageInfo::nNumLayers

uint32_t CxImage::tagCxImageInfo::dwFlags

0x??00000 = reserved, 0x00??0000 = blend mode, 0x0000???? = layer id - user flags

uint8_t CxImage::tagCxImageInfo::dispmeth

bool CxImage::tagCxImageInfo::bGetAllFrames

bool CxImage::tagCxImageInfo::bLittleEndianHost

EXIFINFO CxImage::tagCxImageInfo::ExifInfo